Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install glib2-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           xwxapt
Version:        3.4.1
Release:        alt3_12
Summary:        GTK+ graphical application for decoding and saving weather images

# Most files are GPLv2+ but some are GPLv3+ so combined work is GPLv3+
License:        GPLv3+

URL:            http://www.5b4az.org/
Source0:        http://www.5b4az.org/pkg/apt/%{name}/%{name}-%{version}.tar.bz2
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
#Wrapper script for user config
Source3:        %{name}.sh.in

Patch1: xwxapt-3.4.1-fedora-c99.patch

BuildRequires:  gcc gcc-c++
BuildRequires:  automake autoconf libtool gettext-tools
BuildRequires:	libalsa-devel
BuildRequires:  gtk3-demo libgail3-devel libgtk+3 libgtk+3-devel libgtk+3-gir-devel
BuildRequires:  rtl-sdr-devel
BuildRequires:  desktop-file-utils

Requires:	aserver libalsa
Source44: import.info

%description
xwxapt is a GTK+ graphical version of wxapt. It uses the same decoding
engine as wxapt but it displays APT images at half-size as they are
received, storing the full-sized files when reception is completed. 

It also displays some status information (audio level, sync level,
sync status etc) and text messages as it runs.

%prep
%setup -q
%patch1 -p1



%build
./autogen.sh
%configure LDFLAGS="-lm"
%make_build CFLAGS="$RPM_OPT_FLAGS" PACKAGE_LIBS="$PACKAGE_LIBS -lm"


%install
# Install tries to install stuff to $HOME so do it manually...
install -pDm 0755 src/%{name} %{buildroot}%{_bindir}/%{name}.bin

#install default user configuration file
install -pDm 0644 %{name}/xwxaptrc %{buildroot}%{_datadir}/%{name}/xwxaptrc

#install wrapper script 
install -pDm 0755 %{SOURCE3} %{buildroot}%{_bindir}/xwxapt

# no upstream .desktop or icon yet so we'll use a temporary one
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp -p %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png

desktop-file-install  \
        --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}


%files
%doc AUTHORS README NEWS
%doc doc/xwxapt.html
%doc --no-dereference COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt3_12
- update to new release by fcimport

* Sun Nov 12 2023 Cronbuild Service <cronbuild@altlinux.org> 3.4.1-alt3_11
- rebuild to get rid of unmets

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt2_11
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt2_10
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt2_8
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt2_7
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt2_6
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 3.4.1-alt2_5
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt2_4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt1_4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt1_3
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt1_2
- update to new release by fcimport

* Fri Mar 08 2019 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt1_1
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_7.beta
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_6.beta
- update to new release by fcimport

* Wed Jan 16 2013 Igor Vlasenko <viy@altlinux.ru> 2.0-alt1_5.beta
- initial fc import

